Skip to content

Monthly Billing Report

GET
/api/v1/monthly-report/csv/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/monthly-report/csv/?month=<MONTH>&year=<YEAR>&type=<TYPE>&project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>'

Downloads the detailed monthly billing report in CSV format for a given project and location, based on the selected month and year.

month
required
integer

The ID of the label to delete.

year
required
integer

Example

2025

Year for which the billing estimate is to be fetched (format- YYYY).

type
required
string
Allowed values: csv

Download csv

project_id
required
integer
location
required
string
Allowed values: Delhi Chennai

Deployment region for the resource. Accepted values: Delhi, Chennai.

Mumbai region has been discontinued. Delhi and Chennai are the only supported regions.

Response schema for user profile data.

Media typeapplication/json
object
code
integer
data
object
user_id
string
full_name
string
email
string format: email
join_date
string format: date
is_active
boolean
errors
object
message
string

Example

{
"code": 200,
"data": {
"user_id": "user_123456",
"full_name": "Jane Doe",
"email": "jane.doe@example.com",
"join_date": "2023-01-15",
"is_active": true
},
"errors": {},
"message": "Profile fetched successfully"
}